package com.zehong.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zehong.system.mapper.TConGasProIncMapper;
import com.zehong.system.domain.TConGasProInc;
import com.zehong.system.service.ITConGasProIncService;

/**
 * 第三方施工-涉气第三方施工意外事件Service业务层处理
 * 
 * @author zehong
 * @date 2024-06-27
 */
@Service
public class TConGasProIncServiceImpl implements ITConGasProIncService 
{
    @Autowired
    private TConGasProIncMapper tConGasProIncMapper;

    /**
     * 查询第三方施工-涉气第三方施工意外事件
     * 
     * @param fConGasProIncId 第三方施工-涉气第三方施工意外事件ID
     * @return 第三方施工-涉气第三方施工意外事件
     */
    @Override
    public TConGasProInc selectTConGasProIncById(Long fConGasProIncId)
    {
        return tConGasProIncMapper.selectTConGasProIncById(fConGasProIncId);
    }

    /**
     * 查询第三方施工-涉气第三方施工意外事件列表
     * 
     * @param tConGasProInc 第三方施工-涉气第三方施工意外事件
     * @return 第三方施工-涉气第三方施工意外事件
     */
    @Override
    public List<TConGasProInc> selectTConGasProIncList(TConGasProInc tConGasProInc)
    {
        return tConGasProIncMapper.selectTConGasProIncList(tConGasProInc);
    }

    /**
     * 新增第三方施工-涉气第三方施工意外事件
     * 
     * @param tConGasProInc 第三方施工-涉气第三方施工意外事件
     * @return 结果
     */
    @Override
    public int insertTConGasProInc(TConGasProInc tConGasProInc)
    {
        return tConGasProIncMapper.insertTConGasProInc(tConGasProInc);
    }

    /**
     * 修改第三方施工-涉气第三方施工意外事件
     * 
     * @param tConGasProInc 第三方施工-涉气第三方施工意外事件
     * @return 结果
     */
    @Override
    public int updateTConGasProInc(TConGasProInc tConGasProInc)
    {
        return tConGasProIncMapper.updateTConGasProInc(tConGasProInc);
    }

    /**
     * 批量删除第三方施工-涉气第三方施工意外事件
     * 
     * @param fConGasProIncIds 需要删除的第三方施工-涉气第三方施工意外事件ID
     * @return 结果
     */
    @Override
    public int deleteTConGasProIncByIds(Long[] fConGasProIncIds)
    {
        return tConGasProIncMapper.deleteTConGasProIncByIds(fConGasProIncIds);
    }

    /**
     * 删除第三方施工-涉气第三方施工意外事件信息
     * 
     * @param fConGasProIncId 第三方施工-涉气第三方施工意外事件ID
     * @return 结果
     */
    @Override
    public int deleteTConGasProIncById(Long fConGasProIncId)
    {
        return tConGasProIncMapper.deleteTConGasProIncById(fConGasProIncId);
    }
}
